Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.area.inline
Class AbstractTextArea

    java.lang.Object
      org.apache.fop.area.AreaTreeObject
          org.apache.fop.area.Area
              org.apache.fop.area.inline.InlineArea
                  org.apache.fop.area.inline.InlineParent
                      org.apache.fop.area.inline.AbstractTextArea

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

Direct Known Subclasses:
  TextArea

    public abstract class AbstractTextArea

extends InlineParent

Abstract base class for both TextArea and Character.

See Also:
  Serialized Form

Nested Class Summary
`protected class` | `AbstractTextArea.TextAdjustingInfo` this class stores information about spaces and potential adjustments that can be used in order to re-compute adjustments when a page-number or a page-number-citation is resolved

Nested classes/interfaces inherited from class org.apache.fop.area.inline.InlineArea
`InlineArea.InlineAdjustingInfo`

Field Summary

Fields inherited from class org.apache.fop.area.inline.InlineParent
`autoSize, inlines, minChildOffset`

Fields inherited from class org.apache.fop.area.inline.InlineArea
`adjustingInfo, blockProgressionOffset`

Fields inherited from class org.apache.fop.area.Area
`bidiLevel, bpd, CLASS_ABSOLUTE, CLASS_BEFORE_FLOAT, CLASS_FIXED, CLASS_FOOTNOTE, CLASS_MAX, CLASS_NORMAL, CLASS_SIDE_FLOAT, effectiveIPD, ipd, log, ORIENT_0, ORIENT_180, ORIENT_270, ORIENT_90, traits`

Fields inherited from class org.apache.fop.area.AreaTreeObject
`extensionAttachments, foreignAttributes`

Constructor Summary
`AbstractTextArea()` Default constructor
`AbstractTextArea(int stretch, int shrink, int adj)` Constructor with extra parameters: create a TextAdjustingInfo object

Method Summary
`boolean` | `applyVariationFactor(double variationFactor, int lineStretch, int lineShrink)` recursively apply the variation factor to all descendant areas
`int` | `getBaselineOffset()` Get baseline offset, i.e.
`int` | `getTextLetterSpaceAdjust()` Get text letter space adjust.
`int` | `getTextWordSpaceAdjust()` Get text word space adjust.
`void` | `setBaselineOffset(int baselineOffset)` Set the baseline offset.
`void` | `setSpaceDifference(int spaceDiff)` Set the difference between optimal width of a space and default width of a space according to the font; this part of the space adjustment is fixed and must not be multiplied by the variation factor.
`void` | `setTextLetterSpaceAdjust(int textLetterSpaceAdjust)` Set text letter space adjust.
`void` | `setTextWordSpaceAdjust(int textWordSpaceAdjust)` Set text word space adjust.

Methods inherited from class org.apache.fop.area.inline.InlineParent
`addChildArea, collectInlineRuns, getChildAreas, resetChildrenLevel`

Methods inherited from class org.apache.fop.area.inline.InlineArea
`getAdjustingInfo, getBlockProgressionOffset, getParentArea, handleIPDVariation, hasLineThrough, hasOverline, hasUnderline, increaseIPD, isAncestor, isAncestorOrSelf, isBlinking, notifyIPDVariation, setAdjustingInfo, setAdjustingInfo, setAdjustment, setBlockProgressionOffset, setParentArea`

Methods inherited from class org.apache.fop.area.Area
`activateEffectiveIPD, addTrait, clone, getAllocBPD, getAllocIPD, getAreaClass, getBidiLevel, getBorderAndPaddingWidthAfter, getBorderAndPaddingWidthBefore, getBorderAndPaddingWidthEnd, getBorderAndPaddingWidthStart, getBPD, getEffectiveAllocIPD, getEffectiveIPD, getIPD, getSpaceAfter, getSpaceBefore, getSpaceEnd, getSpaceStart, getTrait, getTraitAsBoolean, getTraitAsInteger, getTraits, hasTrait, hasTraits, resetBidiLevel, setAreaClass, setBidiLevel, setBPD, setIPD, setTraits, setWritingModeTraits, toString`

Methods inherited from class org.apache.fop.area.AreaTreeObject
`addExtensionAttachment, getExtensionAttachments, getForeignAttributes, getForeignAttributeValue, hasExtensionAttachments, setExtensionAttachments, setForeignAttribute, setForeignAttributes`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbstractTextArea

    public AbstractTextArea()

  Default constructor

### AbstractTextArea

    public AbstractTextArea(int stretch,
                            int shrink,
                            int adj)

  Constructor with extra parameters: create a TextAdjustingInfo object

  Parameters:
    `stretch` - the available stretch of the text
    `shrink` - the available shrink of the text
    `adj` - the current adjustment of the area

Method Detail

### getTextWordSpaceAdjust

    public int getTextWordSpaceAdjust()

  Get text word space adjust.

  Returns:
    the text word space adjustment

### setTextWordSpaceAdjust

    public void setTextWordSpaceAdjust(int textWordSpaceAdjust)

  Set text word space adjust.

  Parameters:
    `textWordSpaceAdjust` - the text word space adjustment

### getTextLetterSpaceAdjust

    public int getTextLetterSpaceAdjust()

  Get text letter space adjust.

  Returns:
    the text letter space adjustment

### setTextLetterSpaceAdjust

    public void setTextLetterSpaceAdjust(int textLetterSpaceAdjust)

  Set text letter space adjust.

  Parameters:
    `textLetterSpaceAdjust` - the text letter space adjustment

### setSpaceDifference

    public void setSpaceDifference(int spaceDiff)

  Set the difference between optimal width of a space and default width of a space according to the font; this part of the space adjustment is fixed and must not be multiplied by the variation factor.

  Parameters:
    `spaceDiff` - the space difference

### applyVariationFactor

    public boolean applyVariationFactor(double variationFactor,
                                        int lineStretch,
                                        int lineShrink)

  recursively apply the variation factor to all descendant areas

  Overrides:
    `applyVariationFactor` in class `InlineParent`
  Parameters:
    `variationFactor` - the variation factor that must be applied to adjustments
    `lineStretch` - the total stretch of the line
    `lineShrink` - the total shrink of the line
  Returns:
    true if there is an UnresolvedArea descendant

### getBaselineOffset

    public int getBaselineOffset()

  Get baseline offset, i.e. the distance from the before edge of this area to the nominal baseline.

  Returns:
    the baseline offset

### setBaselineOffset

    public void setBaselineOffset(int baselineOffset)

  Set the baseline offset.

  Parameters:
    `baselineOffset` - the baseline offset

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2017 The Apache Software Foundation. All Rights Reserved.